#pragma once
#define TINYGLTF_IMPLEMENTATION
#define STB_IMAGE_IMPLEMENTATION
#define STB_IMAGE_WRITE_IMPLEMENTATION
#define TINYGLTF_NO_EXTERNAL_IMAGE

#include <tiny_gltf.h>
#include <spdlog/spdlog.h>
#include <string>

class ModelImporter {
private:
	void ImportFBX(std::string path); 
	void ImportBlend(std::string path);
	void ImportGLTF(std::string path);
	void ImportOBJ(std::string path);

public:
	void Import(std::string path);

	static void Test();
};